{ ... }:

{
  imports = [
    ./hardware-configuration.nix
    ./networking.nix

    ../../../modules
  ];

  boot.loader.grub.devices = [ "/dev/sda" ];

  networking.hostName = "neo";

  sops.secrets.matrix-sliding-sync-pass-file = {
    sopsFile = ../../../secrets/neo.yaml;
  };

  system.stateVersion = "23.11";
}
